cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/zones/zn_0a1b2c3d4e5f60718293a4b5c6d7e8f9" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"zone": {
"display_name": "ANZ",
"description": "Australia and New Zealand"
}
}'from exsited import build_client
client = build_client()
response = client.zones.update_settings_zone(
"zn_0a1b2c3d4e5f60718293a4b5c6d7e8f9",
{"zone": {"display_name": "ANZ", "description": "Australia and New Zealand"}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.zones.updateSettingsZone('zn_0a1b2c3d4e5f60718293a4b5c6d7e8f9', {
zone: {display_name: 'ANZ', description: 'Australia and New Zealand'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->zones->updateSettingsZone('zn_0a1b2c3d4e5f60718293a4b5c6d7e8f9', [
'zone' => ['display_name' => 'ANZ', 'description' => 'Australia and New Zealand'],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.zones.zones_dto.ZonesDto.SettingsZone;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsZone> response = client.zones().updateSettingsZone(
"zn_0a1b2c3d4e5f60718293a4b5c6d7e8f9",
Map.of("zone", Map.of("display_name", "ANZ", "description", "Australia and New Zealand")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Zones.UpdateSettingsZoneAsync(
"zn_0a1b2c3d4e5f60718293a4b5c6d7e8f9",
new Dictionary<string, object?>
{
["zone"] = new Dictionary<string, object?>
{
["display_name"] = "ANZ",
["description"] = "Australia and New Zealand",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.zones.updateSettingsZone(
'zn_0a1b2c3d4e5f60718293a4b5c6d7e8f9',
{
'zone': {
'display_name': 'ANZ',
'description': 'Australia and New Zealand',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Zones().UpdateSettingsZone(context.Background(), "zn_0a1b2c3d4e5f60718293a4b5c6d7e8f9", map[string]any{
"zone": map[string]any{
"display_name": "ANZ",
"description": "Australia and New Zealand",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"zone": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>"
}
}Zones
Update a zone
Sends changes to a zone and returns the zone.
PATCH
/
settings
/
zones
/
{zone_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/zones/zn_0a1b2c3d4e5f60718293a4b5c6d7e8f9" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"zone": {
"display_name": "ANZ",
"description": "Australia and New Zealand"
}
}'from exsited import build_client
client = build_client()
response = client.zones.update_settings_zone(
"zn_0a1b2c3d4e5f60718293a4b5c6d7e8f9",
{"zone": {"display_name": "ANZ", "description": "Australia and New Zealand"}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.zones.updateSettingsZone('zn_0a1b2c3d4e5f60718293a4b5c6d7e8f9', {
zone: {display_name: 'ANZ', description: 'Australia and New Zealand'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->zones->updateSettingsZone('zn_0a1b2c3d4e5f60718293a4b5c6d7e8f9', [
'zone' => ['display_name' => 'ANZ', 'description' => 'Australia and New Zealand'],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.zones.zones_dto.ZonesDto.SettingsZone;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsZone> response = client.zones().updateSettingsZone(
"zn_0a1b2c3d4e5f60718293a4b5c6d7e8f9",
Map.of("zone", Map.of("display_name", "ANZ", "description", "Australia and New Zealand")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Zones.UpdateSettingsZoneAsync(
"zn_0a1b2c3d4e5f60718293a4b5c6d7e8f9",
new Dictionary<string, object?>
{
["zone"] = new Dictionary<string, object?>
{
["display_name"] = "ANZ",
["description"] = "Australia and New Zealand",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.zones.updateSettingsZone(
'zn_0a1b2c3d4e5f60718293a4b5c6d7e8f9',
{
'zone': {
'display_name': 'ANZ',
'description': 'Australia and New Zealand',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Zones().UpdateSettingsZone(context.Background(), "zn_0a1b2c3d4e5f60718293a4b5c6d7e8f9", map[string]any{
"zone": map[string]any{
"display_name": "ANZ",
"description": "Australia and New Zealand",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"zone": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>"
}
}Send the changes under
zone, such as a new display_name or description.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The zone's id, such as zn_ followed by 32 hex digits.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The zone, under zone.
Show child attributes
Show child attributes